Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Friends
ELIST_LINK Class Reference

`#include <elst.h>`

Inheritance diagram for ELIST_LINK:

List of all members.

## Public Member Functions

| ELIST_LINK ()
| ELIST_LINK (const ELIST_LINK &)
void | operator= (const ELIST_LINK &)

## Friends

class | ELIST_ITERATOR
class | ELIST

## Detailed Description

Definition at line 84 of file elst.h.

## Constructor & Destructor Documentation

ELIST_LINK::ELIST_LINK | ( |  | ) |

inline

Definition at line 92 of file elst.h.

{
next = NULL;
}

ELIST_LINK::ELIST_LINK | ( | const ELIST_LINK & |  | ) |

inline

Definition at line 97 of file elst.h.

{ //dont copy link
next = NULL;
}

## Member Function Documentation

void ELIST_LINK::operator= | ( | const ELIST_LINK & |  | ) |

inline

Definition at line 102 of file elst.h.

{
next = NULL;
}

## Friends And Related Function Documentation

friend class ELIST

friend

Definition at line 87 of file elst.h.

friend class ELIST_ITERATOR

friend

Definition at line 86 of file elst.h.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/elst.h